const HocFactory = (WrappedComponent, name) => {
	return class Hoc extends React.Component {
		constructor(props) {
			super(props);
		}

		getConfig() {
			let config;
			switch (name) {
				case 'jobGroup':
					config = {
						width: 600,
						height: 130,
					}
					break;
				case 'job':
					config = {
						width: 600,
						height: 175,
					}
					break;
			}
			return config;
		}

		render() {
			return <WrappedComponent {...this.props} {...this.getConfig()}/>
		}
	}
}

export {
	HocFactory
}